<?xml version="1.0" encoding="utf-8"?><refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xi="http://www.w3.org/2001/XInclude">
<info>
  <pubdate>$Date: 2007-10-10 18:11:57 +0800 (Wed, 10 Oct 2007) $</pubdate>
  <releaseinfo>$Revision: 7515 $</releaseinfo>
</info>

<refmeta>
  <refentrytitle><?tdg-refentrytitle?></refentrytitle>
  <refmiscinfo role="element">uri</refmiscinfo>
  <refmiscinfo role="pattern">db.uri</refmiscinfo>
</refmeta>

<refnamediv>
  <refname><?tdg-refname?></refname>
  <refpurpose><?tdg-refpurpose?></refpurpose>
</refnamediv>

<?tdg-refsynopsisdiv?>

<refsection condition="ref.description">
<title>Description</title>


<para>The <tag>uri</tag> element identifies a Uniform Resource
Identifier (<acronym>URI</acronym>) in content.</para>

<refsection><title>Processing expectations</title>

<para><?tdg gentext='format.inline'?> The <tag>uri</tag> element does
not automatically generate a link to the URI it identifies.</para>

<para>DocBook does not mandate any values for the
<tag class="attribute">type</tag> attribute, but several useful values
have been suggested:</para>

<itemizedlist>
<listitem>
<para><tag class="attvalue">xmlnamespace</tag> for an XML namespace name,
e.g., <uri type="xmlnamespace">http://docbook.org/ns/docbook</uri>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">saxfeaturename</tag> for a SAX feature name,
e.g., <uri type="saxfeaturename">http://xml.org/sax/features/namespaces</uri>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">saxpropertyname</tag> for a SAX property name,
e.g. <uri type="saxpropertyname">http://xml.org/sax/properties/declaration-handler</uri>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">soapaction</tag> for a SOAP action, see
<citetitle xlink:href="http://www.w3.org/TR/soap12-part2/#ActionFeature">SOAP
Version 1.2 Part 2: Adjuncts</citetitle>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">rddlpurpose</tag> for a RDDL purpose, see
<citetitle xlink:href="http://rddl.org/">Resource Directory Description
Language (RDDL)</citetitle>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">rddlnature</tag> for a RDDL nature, see
<citetitle xlink:href="http://rddl.org/">Resource Directory Description
Language (RDDL)</citetitle>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">homepage</tag> for a home page,
e.g. <uri type="homepage">http://nwalsh.com/</uri>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">weblog</tag> for a web log,
e.g., <uri type="weblog">http://norman.walsh.name/</uri>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">webpage</tag> for a web page,
e.g., <uri type="webpage">http://docbook.org/schemas/</uri>.</para>
</listitem>
<listitem>
<para><tag class="attvalue">website</tag> for a web site,
e.g., <uri type="website">http://docbook.org</uri>.</para>
</listitem>
</itemizedlist>
</refsection>

<?tdg-attributes?>
<?tdg-parents?>
<?tdg-children?>

</refsection>

<?tdg-seealso?>

<!-- FIXME: add examples -->

</refentry>